# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)

Summary:       Horizontal or vertical bar-graph audio levels meter 
Name:          jkmeter
Version:       0.6.1
Release:       alt1_6
License:       GPLv2+
Group:         Graphics
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
Source1:       %{name}.desktop
Source2:       %{name}.png

BuildRequires: desktop-file-utils
BuildRequires: libfftw3-devel
BuildRequires: clthreads-devel
BuildRequires: clxclient-devel
BuildRequires: libalsa-devel
BuildRequires: libpng-devel
BuildRequires: libsndfile-devel
BuildRequires: libjack-devel
BuildRequires: libX11-devel
BuildRequires: libXft-devel
Source44: import.info

%description
%{name} is a horizontal or vertical bar-graph level
meter based on the ideas of mastering guru Bob Katz.
See <http://www.digido.com/bob-katz/index.php> and
follow the links on 'level practices'.

This is the type of meter you want for live recording,
mixing and mastering. It probably makes no sense to
use it on all tracks of a DAW, where keeping digital
level within limits is the main purpose of metering.

%prep
%setup -q
sed -i -e "s|-march=native|%{optflags}|"\
       -e 's|-ffast-math||'  \
       -e 's|/usr/local|/usr|' source/Makefile

%build
cd source 
make %{?_smp_mflags}

%install
cd source
make DESTDIR=%{buildroot} PREFIX=%{_prefix} install

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_6
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.1-alt1_5
- initial fc import

